﻿local L = AceLibrary("AceLocale-2.2"):new("sRaidFrames")

-------------------------------------------------------------------------------
-- Localization                                                              --
-------------------------------------------------------------------------------

L:RegisterTranslations("enUS", function() return {
	["hidden"] = true,
	["shown"] = true,

	["Lock"] = true,
	["Lock/Unlock the raid frames"] = true,
	["Unlocked"] = true,
	["Locked"] = true,

	["Health text"] = true,
	["Set health display type"] = true,
	["Current and max health"] = true,
	["Health deficit"] = true,
	["Health percentage"] = true,
	["Current health"] = true,
	["Hide health text"] = true,

	["Invert health bars"] = true,
	["Invert the growth of the health bars"] = true,

	["Buff filter"] = true,
	["Set buff filter"] = true,
	["Add buff"] = true,
	["Add a buff"] = true,
	["<name of buff>"] = true,
	["Remove buff"] = true,
	["Remove buffs from the filter"] = true,
	["Remove %s from the buff filter"] = true,
	
	["Debuff filter"] = true,
	["Set debuff filter"] = true,
	["Add debuff"] = true,
	["Add a debuff"] = true,
	["<name of debuff>"] = true,
	["Remove debuff"] = true,
	["Remove debuffs from the filter"] = true,
	["Remove %s from the debuff filter"] = true,

	["Show group titles"] = true,
	["Toggle display of titles above each group frame"] = true,
	["Member sort order"] = true,
	["Select how you wish to sort the members of each group"] = true,
	["By name"] = true,
	["By class"] = true,
	["Blizzard default"] = true,
	["Group by"] = true,
	["Select how you wish to show the groups"] = true,
	["By group"] = true,
	["By class"] = true,

	["Buff/Debuff visibility"] = true,
	["Show buffs or debuffs on the raid frames"] = true,
	["Only buffs"] = true,
	["Only debuffs"] = true,
	["Buffs if not debuffed"] = true,
	["Power type visiblity"] = true,
	["Toggle the display of certain power types (Mana, Rage, Energy)"] = true,
	["Mana"] = true,
	["Toggle the display of mana bars"] = true,
	["Energy & Focus"] = true,
	["Toggle the display of energy and focus bars"] = true,
	["Rage"] = true,
	["Toggle the display of rage bars"] = true,
	["Filter dispellable debuffs"] = true,
	["Toggle display of dispellable debuffs only"] = true,

	["Bar textures"] = true,
	["Set the texture used on health and mana bars"] = true,

	["Scale"] = true,
	["Set the scale of the raid frames"] = true,
	
	["Positioning"] = true,
	["Set the positioning of the raid frames"] = true,
	["Reset position"] = true,
	["Reset the position of sRaidFrames"] = true,
	["Predefined position"] = true,
	["Set a predefined position for the raid frames"] = true,
	["CT_RaidAssist"] = true,
	["Horizontal"] = true,
	["Vertical"] = true,
	
	["Layout"] = true,
	["Set the layout of the frames based on presets"] = true,
	
	["CT_RaidAssist"] = true,
	["CT_RaidAssist (Without Borders)"] = true,
	["CT_RaidAssist (Without borders, Wide)"] = true,

	["Debuff colors"] = true,
	["Colors"] = true,
	["Set the diffirent colors of the raid frames"] = true,
	["Background color"] = true,
	["Change the background color"] = true,
	["Border color"] = true,
	["Change the border color"] = true,
	["Magic debuff"] = true,
	["Change the background color for magic debuffs"] = true,
	["Curse debuff"] = true,
	["Change the background color for curse debuffs"] = true,
	["Poison debuff"] = true,
	["Change the background color for poison debuffs"] = true,
	["Disease debuff"] = true,
	["Change the background color for disease debuffs"] = true,
	
	["Tooltip display"] = true,
	["Unit tooltips"] = true,
	["Debuff tooltips"] = true,
	["Buff tooltips"] = true,
	["Determine when a tooltip is displayed"] = true,
	["Never"] = true,
	["Only when not in combat"] = true,
	["Always"] = true,

	["Highlight units with aggro"] = true,
	["Turn the border of units who have aggro red"] = true,
	["Highlight targetted unit"] = true,
	["Turn the border of unit you are targetting orange"] = true,
	
	["Heal tracking"] = true,
	["Options for heal tracking"] = true,
	["Enable heal tracking"] = true,
	["Turn the border of units getting heals green"] = true,
	["Show self heals"] = true,
	["Show heals originating from yourself"] = true,
	
	["Range"] = true,
	["Options for range checks"] = true,
	["Enable range check"] = true,
	["Enable range checking"] = true,
	["The range at which a unit is considered out of range"] = true,
	["(%d+) yd range"] = true,
	["%d yards"] = true,

	["Alpha"] = true,
	["The alpha level for units who are out of range"] = true,
	["Frequency"] = true,
	["The interval between which range checks are performed"] = true,

	["Show Group/Class"] = true,
	["Toggle the display of certain Groups/Classes"] = true,
	["Classes"] = true,
	["Warriors"] = true,
	["Toggle the display of Warriors"] = true,
	["Paladins"] = true,
	["Toggle the display of Paladins"] = true,
	["Shamans"] = true,
	["Toggle the display of Shamans"] = true,
	["Hunters"] = true,
	["Toggle the display of Hunters"] = true,
	["Warlocks"] = true,
	["Toggle the display of Warlocks"] = true,
	["Mages"] = true,
	["Toggle the display of Mages"] = true,
	["Druids"] = true,
	["Toggle the display of Druids"] = true,
	["Rogues"] = true,
	["Toggle the display of Rogues"] = true,
	["Priests"] = true,
	["Toggle the display of Priests"] = true,

	["Groups"] = true,
	["Group %d"] = true,
	["Group 1"] = true,
	["Toggle the display of Group 1"] = true,
	["Group 2"] = true,
	["Toggle the display of Group 2"] = true,
	["Group 3"] = true,
	["Toggle the display of Group 3"] = true,
	["Group 4"] = true,
	["Toggle the display of Group 4"] = true,
	["Group 5"] = true,
	["Toggle the display of Group 5"] = true,
	["Group 6"] = true,
	["Toggle the display of Group 6"] = true,
	["Group 7"] = true,
	["Toggle the display of Group 7"] = true,
	["Group 8"] = true,
	["Toggle the display of Group 8"] = true,

	["Growth"] = true,
	["Set the growth of the raid frames"] = true,
	["Up"] = true,
	["Down"] = true,
	["Left"] = true,
	["Right"] = true,

	["Show borders"] = true,
	["Toggle the display of borders around the raid frames"] = true,
	["Frame Spacing"] = true,
	["Set the spacing between each of the raid frames"] = true,

	--bindings
	["Show/Hide Raid Windows"] = true,
	["Toggle Sort"] = true,
	["Sort by class"] = true,
	["Sort by group"] = true,
	["Toggle Buff/Debuff view"] = true,
	["Toggle display of only dispellable debuffs"] = true,

	["Offline"] = true,
	["Released"] = true,
	["Dead"] = true,
	["Resurrected"] = true,
	["Can Recover"] = true,
	["Feign Death"] = true,
	["Unknown"] = true,

	["Warrior"] = true,
	["Mage"] = true,
	["Paladin"] = true,
	["Shaman"] = true,
	["Druid"] = true,
	["Hunter"] = true,
	["Rogue"] = true,
	["Warlock"] = true,
	["Priest"] = true,

	["Intervened"] = true,
	["Innervating"] = true,
	["Spirit"] = true,
	["Vanished"] = true,
	["Stealthed"] = true,
	["Infused"] = true,
	["Protection"] = true,
	
	["Filter set"] = true,
	["State"] = true,
	["AFK: Away From Keyboard"] = true,
	["Heal Tracking enabled"] = true,
	["DND: Do Not Disturb"] = true,
	["Frame Behaviour"] = true,
	["Informational"] = true,
	["Appearance"] = true,
	["Filter/Sort sets"] = true,
	["Toggle the display of certain Groups/Classes"] = true,
	["Reset to default"] = true,
	["Reset to default sets"] = true,
	
	["Highlight debuffed units"] = true,
	["Highlight units afflicted by a certain debuff type"] = true,
	["All dispellable debuffs"] = true,
	["Debuffs dispellable by me"] = true,

	["Right-click for options."] = true,
} end)
